
body{
    background-color: #F4E4C9;
}
#logoaplus{
    cursor: pointer;
    position: absolute;
    bottom: 0px;
    right: 10px;
    z-index: 9998;
    max-width: 70px;
    height: auto;
}
#logostick{
    position: absolute;
    top: 10%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 9999;
    max-width: 90vw;
    height:auto;
    width: 350px;
    padding-right: 29px;
} 
#btn_unmuted{
    cursor: pointer;
    position: absolute;
    z-index: 99;
    margin: 0 auto;
    display: table;
    right: 65px;
    bottom: 0px;
    font-size: 20px;
    height: 45px;
    width: auto;
    font-weight: bold;
    color: #333;
}

#btn_skip{
    cursor: pointer;
    position: absolute;
    bottom: 0px;
    left: 10px;
    height: 45px;
    z-index: 9997;
    width: auto;
}


#Rfireworkswrap{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0px;
}
.fireworksani{
    width: 300px;
    height: 300px;
    position: absolute;
}
#fireworks1{right: 19%;top: 7vh;} 
#fireworks2{left: 12%;top: 7vh;} 
#fireworks3{left: 18%;top: 24vh;} 
#fireworks4{left: 4%;top: 49vh;} 
#fireworks5{right: 5%;top: 36vh;} 
#fireworks6{right: 22%;top: 54vh;} 


#videoBox{

    position: fixed;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    min-width: 100%;
    min-height: 100%;
    z-index: 99;
    object-fit: cover;
}


#step1img{
    width: 100%;
    height: 100%;
    position: absolute;
    background-image: url(../images/step2v3.png);
    background-size: cover;
    background-position: center;
}


#step3, 
#step4,
#step5{
    /* background-image: url(../images/step3bg.png); */
    height: 100%;
    width: 100%;
    position: absolute;
    background-position: center center;
    text-align: center;
    background-size: cover;
    /* background-color: rgba(90, 13, 13,0.95); */
}

#step3wrap,#step4wrap,#step5wrap{
    /* background-image: url(../images/step3bg.png); */
    background-position: center center;
    position: relative;
    min-height: 100vh;
    border: 1px solid #A82626;
    box-sizing: border-box;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: #A82626;
}

#step3wrap,#step4wrap,#step5wrap{
    text-align: center;
}
.step3rabbit{    
    bottom: 120px;
    position: absolute;
    width: 430px !important;
    height: 430px !important;
    left: -4%;
    z-index: 1;

}

h1{
    padding-top:3%;
    font-family: 'goudy-old-style';
    font-style: normal;
    font-weight: 700;
    font-size: 36px;
    line-height: 43px;
    text-align: center;
    color: #F49B87;
}
.step3urdesign,
.step4urdesign{
    font-family: 'neue-haas-unica';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 21px;
    text-align: center;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    color: #FFFFFF;
    opacity: 0.5;
    margin-top: 12px;
}

.step3select,
.step4select,
#step5generate,
#step5send,
#step5copy{
    cursor: pointer;
    padding:23px 60px;
    background: #FF8C36;
    border-radius: 40px;
    font-family: 'neue-haas-unica';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 21px;

    text-align: center;
    letter-spacing: 0.1em;

    display: inline-block;
    color: #FFFFFF;
    margin-top: 30px;
    margin-bottom: 18px;
    text-decoration-line: none;
}


#step3leafwrap,
#step4leafwrap,
#step5leafwrap{
    position: relative;
    display: inline-block;
    padding-top: 0px;
    margin-top: 50px;
}
#step3cardleaf,
#step4cardleaf,
#step5cardleaf{
    position: absolute;
    right: 1.2%;
    top: -9.3%;
}

#step4leafwrap {
    padding-top: 0%;
    margin-top: 20px;
}

#step4cardleaf{
    width:42%;
}

#step4card,
#step4leafwrap,
.step4card{
    width: 100%;
}
.step3another{
    cursor: pointer;
    font-family: 'neue-haas-unica';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    /* identical to box height */

    text-align: center;
    letter-spacing: 0.1em;
    text-decoration-line: underline;
    text-transform: uppercase;

    color: #FFFFFF;
}

#step4form,
#step5form{
    width:400px;
    height: 440px;
    position:relative;
    margin: 0 auto;
    z-index: 9;
}
#step4form .formbg{
    position: absolute;
    top:0px;
    left: 0px;
}

#step4form form{
    position: relative;
    padding-top: 100px;

    font-family: 'goudy-old-style';
    font-style: normal;
    font-weight: 700;
    font-size: 17px;
    line-height: 20px;
    text-align: center;

    color: #000000;
}

#step4form input,
#step4form textarea{
    border:solid 1px #EAEAEA;
}

#step4form textarea{
    width: 78%;
    height: 166px;
    clear: both;
    display: block;
    margin: 0 auto;
    text-align: center;
}

#step4form input{
    width: 60%;
    margin-bottom: 22px;
}

#step4formleft{
    position: absolute;
    left: -275px;
    top: 20px;
    width:185px;
}


.step4another{
    cursor: pointer;
    font-family: 'neue-haas-unica';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    text-align: center;
    letter-spacing: 0.1em;
    text-decoration-line: underline;
    text-transform: uppercase;

    color: #FFFFFF;
}

.step4urdesign{
    font-family: 'neue-haas-unica';
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 21px;
    text-align: center;
    letter-spacing: 0.1em;
    text-transform: uppercase;
    
    color: #FFFFFF;
    
    opacity: 0.5;
}


#step5cardswrap{
    text-align: center;
    margin-bottom: 40px;
}

#step5card{
    position: relative;
    display: inline-block;
    max-width: 400px;
}
#step5form{
    position: relative;
    display: inline-block;
    margin: 0 10px;
}

#step5form form{
    position: absolute;
    top: 0px;
    font-family: 'goudy-old-style';
    font-style: normal;
    font-weight: 700;
    font-size: 21px;
    line-height: 25px;
    text-align: center;
    color: #000000;
    width: 100%;
    height: 100%;
}
.step5to{
    position: absolute;
    top: 19%;
    width: 100%;
}
.step5msg{
    position: absolute;
    top: 30%;
    padding: 0 5%;
    height: 10em;
    vertical-align: middle;
    left: 0px;
    display: flex;
    width: 90%;
    margin: auto;
    border-radius: 10px;
    align-items: center;
    justify-content: center;
}
.step5from{
    position: absolute;
    bottom: 10%;
    width: 100%;
}

#step5generate{

}
#step5preview,
#step5edit{
    cursor: pointer;
    font-family: 'neue-haas-unica';
    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
    
    text-align: center;
    letter-spacing: 0.1em;
    text-decoration-line: underline;
    text-transform: uppercase;
    
    color: #FFFFFF;
}

#step5copy{
    background: #ffffff;
    color: #FF8C36;
    border: 1px solid #FF8C36;
    
}

#taptoflip{
    display:none;
}



#step2wrap{
    position: absolute;
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
#step2cards{
    width: 700px;
    margin: 0 auto;
    border: 0px solid;
    height: 500px;
    padding-top: 50px;
    position: relative;
}
#step2cards img{
    width:100px;
    position: absolute;
    left: 17%;
    top: 16%;
    cursor: pointer;
}
#step2cards #card01{left: 22%;top: 16%;} 
#step2cards #card02{left: 42%;top: 16%;} 
#step2cards #card03{left: 63%;top: 16%;} 
#step2cards #card04{left: 10%;top: 48%;} 
#step2cards #card05{left: 31%;top: 48%;} 
#step2cards #card06{left: 58%;top: 48%;} 
#step2cards #card07{left: 85%;top: 48%;} 
#step2cards #card08{left: 0%;top: 76%;} 
#step2cards #card09{left: 22%;top: 76%;} 
#step2cards #card10{left: 45%;top: 76%;} 
#step2cards #card11{left: 67%;top: 76%;} 
#step2cards #card12{left: 90%;top: 76%;} 


@media only screen and (max-width: 1150px) {

    #step2cards {
        width: 500px;
        height: 400px;
    }
    #step2cards img {
        width: 85px;
    }
}


@media only screen and (max-width: 768px) {
    h1 {
        font-size: 8vw;
        padding-top: 2%;
    }
    #videoBox {
        object-fit: cover;
        top: -15%;
        height: 130%;
    }



    #step2{
        height: 100vh;
        background-color: #F4E4C9;
    }
    html #step2wrap {
        display: inline;
    }

    #step1img{
        background-image: url(../images/step2M.png);
        width: 100vw;
        height: 178vw;
    }

    html #step2cards{
        height: 90vw;
        margin-top: 20vw;
        width: 100%;
        padding-top: 0px;
    }

    html #step2cards #card01{left: 18%;top: 17%;} 
    html #step2cards #card02{left: 42%;top: 16%;} 
    html #step2cards #card03{left: 67%;top: 18%;} 
    html #step2cards #card04{left: 4%;top: 42%;} 
    html #step2cards #card05{left: 31%;top: 39%;} 
    html #step2cards #card06{left: 57%;top: 41%;} 
    html #step2cards #card07{left: auto;top: 48%;right:1%;} 
    html #step2cards #card08{left: 0%;top: 76%;} 
    html #step2cards #card09{left: 20%;top: 63%;} 
    html #step2cards #card10{left: 41%;top: 76%;} 
    html #step2cards #card11{left: 62%;top: 66%;} 
    html #step2cards #card12{left: auto;top: 76%;right:0%;} 


    html #step2cards img {
        width: 18vw;
    }
    #step3, #step4, #step5 {
        position: relative;
        display: inline-block;
        min-height: 100vh;
    }
    .step3rabbit {
        width: 27vw !important;
        height: 54vw !important;
    }
    #step3card{
        width: 80%;
    }
    #step3leafwrap, #step4leafwrap, #step5leafwrap {
        margin-top: 15vw;
    }
    #step3cardleaf{
        width: min(41vw, 168px);
    }
    #step4form {
        margin-top: 50vw;
        width: 84vw;
        height: 84vw;
    }
    #step4card, #step4leafwrap, .step4card {
        width: 85%;
    }
    #step4formleft {
        position: absolute;
        left: 0px;
        top: -50vw;
        width: 35vw;
    }
    .step4another {
        font-size: 3vw;
        line-height: 1.5;
    }
    .step4urdesign {
        margin-top: 0px;
    }
    .step4urdesign {
        font-size: 3vw;
        line-height: 1.5;
    }
    #step4form .formbg {
        width: 90%;
        margin-left: 5%;
    }
    #step4form form {
        padding-top: 17vw;
        width: 80%;
        margin-left: 10%;
    }
    #step4form input {
        width: 30vw;
        margin-bottom: 5vw;
    }
    #step4form textarea {
        height: 31vw;
    }
    .step3select, .step4select, #step5generate, #step5send, #step5copy {
        margin-top: 2vw;
    }

    

    /* flip animation */
    #taptoflip{
        display:block;
        font-family: 'neue-haas-unica';
        font-style: normal;
        font-weight: 500;
        font-size: 12px;
        line-height: 18px;
        text-align: center;
        letter-spacing: 0.1em;
        text-transform: uppercase;
        width:100%;
        color: #FFFFFF;
        padding: 20px 0;
    }
    #step5cardswrap{
        transition: transform 0.8s;
        transform-style: preserve-3d;
        width: 400px;
        height: 440px;
        position: relative;
        margin: 0 auto;
    }
    #step5cardswrap.rotate{
        transform: rotateY(180deg);
    }
    #step5leafwrap, #step5form {
        -webkit-backface-visibility: hidden; /* Safari */
        backface-visibility: hidden;
        position: absolute;
        left: 0px;
        margin: 0px;
    }
    #step5leafwrap{    
        margin-top: 40px;
    }
    #step5form{
        transform: rotateY(180deg);
    }

    .fireworksani{
        width: 30vw !important ;
        height:    30vw !important  ;
    }
    #fireworks1{right: 0%;top: 11vh;} 
    #fireworks2{left: 2%;top: 13vh;} 
    #fireworks3{left: 8%;top: 38vh;} 
    #fireworks4{left: 4%;top: 70vh;} 
    #fireworks5{right: 5%;top: 35vh;} 
    #fireworks6{right: 22%;top: 57vh;} 

  }